apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.core:core-ktx:1.3.1'

    implementation 'com.google.android.material:material:1.2.1'

    implementation 'androidx.recyclerview:recyclerview:1.1.0'

    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.squareup.retrofit2:retrofit:2.8.1'
    implementation 'com.squareup.retrofit2:converter-gson:2.8.1'
    implementation 'com.squareup.retrofit2:adapter-rxjava2:2.7.1'
    implementation 'io.reactivex.rxjava2:rxjava:2.2.13'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    implementation 'com.trello.rxlifecycle2:rxlifecycle-components:2.2.1'
    implementation 'com.kingja.loadsir:loadsir:1.3.6'
    implementation 'com.jaeger.statusbarutil:library:1.5.0'
    implementation 'com.hwangjr.rxbus:rxbus:2.0.0'
    implementation 'com.github.zhaokaiqiang.klog:library:1.6.0'


    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.4'
    implementation 'com.zhy:okhttputils:2.6.2'

    annotationProcessor 'androidx.annotation:annotation:1.1.0'

    //屏幕适配
    implementation 'me.jessyan:autosize:1.2.1'

    implementation 'com.tencent:mmkv-static:1.1.1'

    implementation 'com.qmuiteam:qmui:2.0.0-alpha08'
    implementation "com.qmuiteam:arch:2.0.0-alpha08"
    kapt "com.qmuiteam:arch-compiler:2.0.0-alpha08"

    debugImplementation 'com.amitshekhar.android:debug-db:1.0.6'

    kapt 'androidx.annotation:annotation:1.1.0'
    implementation 'androidx.swiperefreshlayout:swiperefreshlayout:1.1.0'


    implementation "androidx.core:core-ktx:1.3.1"
    implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version"


    def lifecycle_version = "2.2.0"
    implementation "androidx.lifecycle:lifecycle-livedata:$lifecycle_version"
    implementation "androidx.lifecycle:lifecycle-viewmodel:$lifecycle_version"
    implementation 'androidx.constraintlayout:constraintlayout:2.0.1'


    implementation 'com.sagar:coroutinespermission:2.0.2'
    implementation 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.3.9'

    implementation 'com.githang:status-bar-compat:0.7'

    implementation 'com.yanzhenjie:permission:2.0.3'

    implementation("io.coil-kt:coil:0.13.0")



    //普通版本
//    implementation 'cn.yc:WebViewLib:1.2.4'


}

